Update Applicant Appointment: Yardi REST
PUT
https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/:event_id| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/ImportYardiGuest |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
event_id stringrequired
The Propexo unique identifier for the event
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
appointment_datestringrequired
The date when the appointment will occur
Show 2 variants
appointment_timestringrequired
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
job_idstringrequired
result objectrequired
event_idstringrequired
The Propexo unique identifier for the event
appointment_datestringrequired
The date when the appointment will occur
Show 2 variants
appointment_timestringrequired
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/events/appointments/applicants/yardi_rest/:event_id
curl -X PUT https://api.propexo.com/v1/events/appointments/applicants/yardi_rest/:event_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"event_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string"
}
}